Foreman - Refactor #37434

Use nightly for links to manual in Foreman develop

05/10/2024 11:01 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Web Interface
Target version:
Difficulty: Fixed in Releases: 3.11.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/10155
Description

Foreman has for the longest time had https://theforeman.org/manuals/$next redirect to https://theforeman.org/manuals/nightly in our
Apache configuration. This means that on every branching we need to modify this. It also doesn't play well with caching and using

pure static webservers.

If Foreman uses nightly as the version, this whole redirect is no longer needed.

Associated revisions

Revision 0f9352a4 - 05/17/2024 01:21 PM - Ewoud Kohl van Wijngaarden
Fixes #37434 - Use nightly for develop manual links

Foreman has for the longest time had
https://theforeman.org/manuals/$next redirect to
https://theforeman.org/manuals/nightly in our Apache configuration. This
means that on every branching we need to modify this. It also doesn't
play well with caching and using pure static webservers.

If Foreman uses nightly as the version, this whole redirect is no longer needed.

History

#1 - 05/10/2024 11:13 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/10155 added

#2 - 05/17/2024 01:21 PM - The Foreman Bot
- Fixed in Releases 3.11.0 added

#3 - 05/17/2024 02:00 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0f9352a43d0850c7cf1ed5d27ead10c352cbe3d4.
